#include <iostream>
#include <sstream>
#include <string>
#include <math.h>
using namespace std;

typedef struct {
   float X, Y;
} point_t;                        // тип 2D точки

string str_point( point_t& p ) {  // формат отображения 2D
   ostringstream out;
   out << '[' << p.X << ',' << p.Y << ']';
   return out.str();
}

float dist ( const point_t& p1, const point_t& p2 ) {
   float dx = ( p1.X - p2.X ), dy = ( p1.Y - p2.Y );
   return sqrtf( dx * dx + dy * dy );
}

int main( int argc, char **argv ) {
   float x, y;
   while( 1 ) {
      cout << "введите координаты X и Y точки (вещественные): ";
      cin >> x >> y;
      point_t p = { x, y };
      cout << "координаты точки: " << str_point( p ) << endl;
      point_t p0 = { 0, 0 };
      cout << "расстояние от начала = " << dist( p, p0 ) << endl;
   }
   return 0;
}
